| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
BaseToolHandle Class Referenceabstract

Non-templated base class for actual ToolHandle<T>. More...

`#include <GaudiKernel/ToolHandle.h>`

Inheritance diagram for BaseToolHandle:
[legend]
Collaboration diagram for BaseToolHandle:
[legend]

## Public Member Functions
virtual | ~BaseToolHandle ()
StatusCode | retrieve (IAlgTool *&tool) const
virtual IAlgTool * | get () const =0
virtual std::string | typeAndName () const =0
Public Member Functions inherited from ToolHandleInfo
virtual | ~ToolHandleInfo ()=default
bool | isPublic () const
bool | createIf () const
const IInterface * | parent () const

## Protected Member Functions
| BaseToolHandle (const IInterface *parent=nullptr, bool createIf=true)
virtual StatusCode | i_retrieve (IAlgTool *&) const =0
Protected Member Functions inherited from ToolHandleInfo
| ToolHandleInfo (const IInterface *parent=nullptr, bool createIf=true)

## Additional Inherited Members
Static Public Member Functions inherited from ToolHandleInfo
static std::string | toolComponentType (const IInterface *parent)
static std::string | toolParentName (const IInterface *parent)
Protected Attributes inherited from ToolHandleInfo
const IInterface * | m_parent
bool | m_createIf

## Detailed Description

Non-templated base class for actual ToolHandle<T>.

Defines the interface for the management of ToolHandles in the Algorithms and Tools

Author
  Daniel Funke danie.nosp@m.l.fu.nosp@m.nke@c.nosp@m.ern..nosp@m.ch

Definition at line 66 of file ToolHandle.h.

## Constructor & Destructor Documentation

BaseToolHandle::BaseToolHandle | ( | const IInterface * | parent = `nullptr`,
|  | bool | createIf = `true`
| ) |  |
| inline protected

Definition at line 69 of file ToolHandle.h.

70 : ToolHandleInfo(parent, createIf)
71 {}
ToolHandleInfo::createIf
bool createIf() const
Definition: ToolHandle.h:36
ToolHandleInfo::ToolHandleInfo
ToolHandleInfo(const IInterface *parent=nullptr, bool createIf=true)
Definition: ToolHandle.h:27

virtual BaseToolHandle::~BaseToolHandle | ( |  | ) |
| inline virtual

Definition at line 76 of file ToolHandle.h.

76 {}

## Member Function Documentation

virtual IAlgTool* BaseToolHandle::get | ( |  | ) | const
| pure virtual

Implemented in ToolHandle< T >, and ToolHandle< IThreadInitTool >.

virtual StatusCode BaseToolHandle::i_retrieve | ( | IAlgTool *& |  | ) | const
| protected pure virtual

Implemented in ToolHandle< T >, and ToolHandle< IThreadInitTool >.

StatusCode BaseToolHandle::retrieve | ( | IAlgTool *& | tool | ) | const
| inline

Definition at line 78 of file ToolHandle.h.

78 {
79 return i_retrieve(tool);
80 }
BaseToolHandle::i_retrieve
virtual StatusCode i_retrieve(IAlgTool *&) const =0

virtual std::string BaseToolHandle::typeAndName | ( |  | ) | const
| pure virtual

Implemented in ToolHandle< T >, and ToolHandle< IThreadInitTool >.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ToolHandle.h